Jack2: Jack::JackNetOneDriver Class Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackNetOneDriver Class Reference

`#include <JackNetOneDriver.h>`

Inheritance diagram for Jack::JackNetOneDriver:

## Public Member Functions
| JackNetOneDriver (const char *name, const char *alias, JackLockedEngine *engine, JackSynchro *table, int port, int mtu, int capture_ports, int playback_ports, int midi_input_ports, int midi_output_ports, int sample_rate, int period_size, int resample_factor, const char *net_name, uint transport_sync, int bitdepth, int use_autoconfig, int latency, int redundancy, int dont_htonl_floats, int always_deadline, int jitter_val)
int | Close ()
int | Attach ()
int | Detach ()
int | Read ()
int | Write ()
bool | Initialize ()
int | AllocPorts ()
void | FreePorts ()
bool | IsFixedBufferSize ()
int | SetBufferSize (jack_nframes_t buffer_size)
int | SetSampleRate (jack_nframes_t sample_rate)
Public Member Functions inherited from Jack::JackWaiterDriver
| JackWaiterDriver (const char *name, const char *alias, JackLockedEngine *engine, JackSynchro *table)
virtual int | ProcessNull ()
Public Member Functions inherited from Jack::JackTimedDriver
| JackTimedDriver (const char *name, const char *alias, JackLockedEngine *engine, JackSynchro *table)
bool | IsFixedBufferSize ()
int | Start ()
Public Member Functions inherited from Jack::JackAudioDriver
| JackAudioDriver (const char *name, const char *alias, JackLockedEngine *engine, JackSynchro *table)
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)
virtual int | Process ()
virtual int | ClientNotify (int refnum, const char *name, int notify, int sync, const char *message, int value1, int value2)
Public Member Functions inherited from Jack::JackDriver
| JackDriver (const char *name, const char *alias, JackLockedEngine *engine, JackSynchro *table)
void | SetMaster (bool onoff)
bool | GetMaster ()
void | AddSlave (JackDriverInterface *slave)
void | RemoveSlave (JackDriverInterface *slave)
std::list< JackDriverInterface * > | GetSlaves ()
virtual int | Open ()
virtual int | Stop ()
int | ProcessReadSlaves ()
int | ProcessWriteSlaves ()
virtual int | ProcessRead ()
virtual int | ProcessWrite ()
virtual int | ProcessReadSync ()
virtual int | ProcessWriteSync ()
virtual int | ProcessReadAsync ()
virtual int | ProcessWriteAsync ()
virtual JackClientControl * | GetClientControl () const
virtual bool | IsRealTime () const
virtual bool | IsRunning () const

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackTimedDriver
int | FirstCycle (jack_time_t cur_time)
int | CurrentCycle (jack_time_t cur_time)
void | ProcessWait ()
Protected Member Functions inherited from Jack::JackAudioDriver
jack_default_audio_sample_t * | GetInputBuffer (int port_index)
jack_default_audio_sample_t * | GetOutputBuffer (int port_index)
jack_default_audio_sample_t * | GetMonitorBuffer (int port_index)
void | HandleLatencyCallback (int status)
virtual void | UpdateLatencies ()
int | ProcessAsync ()
void | ProcessGraphAsync ()
void | ProcessGraphAsyncMaster ()
void | ProcessGraphAsyncSlave ()
int | ProcessSync ()
void | ProcessGraphSync ()
void | ProcessGraphSyncMaster ()
void | ProcessGraphSyncSlave ()
Protected Member Functions inherited from Jack::JackDriver
void | CycleIncTime ()
void | CycleTakeBeginTime ()
void | CycleTakeEndTime ()
void | SetupDriverSync (int ref, bool freewheel)
void | NotifyXRun (jack_time_t callback_usecs, float delayed_usecs)
void | NotifyBufferSize (jack_nframes_t buffer_size)
void | NotifySampleRate (jack_nframes_t sample_rate)
void | NotifyFailure (int code, const char *reason)
virtual void | SaveConnections (int alias)
virtual void | LoadConnections (int alias, bool full_name=true)
std::string | MatchPortName (const char *name, const char **ports, int alias, const std::string &type)
virtual int | StartSlaves ()
virtual int | StopSlaves ()
virtual int | ResumeRefNum ()
virtual int | SuspendRefNum ()
Protected Attributes inherited from Jack::JackTimedDriver
int | fCycleCount
jack_time_t | fAnchorTimeUsec
Protected Attributes inherited from Jack::JackDriver
char | fCaptureDriverName [JACK_CLIENT_NAME_SIZE+1]
char | fPlaybackDriverName [JACK_CLIENT_NAME_SIZE+1]
char | fAliasName [JACK_CLIENT_NAME_SIZE+1]
jack_nframes_t | fCaptureLatency
jack_nframes_t | fPlaybackLatency
int | fCaptureChannels
int | fPlaybackChannels
jack_time_t | fBeginDateUst
jack_time_t | fEndDateUst
float | fDelayedUsecs
JackLockedEngine * | fEngine
JackGraphManager * | fGraphManager
JackSynchro * | fSynchroTable
JackEngineControl * | fEngineControl
JackClientControl | fClientControl
std::list< JackDriverInterface * > | fSlaveList
bool | fIsMaster
bool | fIsRunning
bool | fWithMonitorPorts
jack_port_id_t | fCapturePortList [DRIVER_PORT_NUM]
jack_port_id_t | fPlaybackPortList [DRIVER_PORT_NUM]
jack_port_id_t | fMonitorPortList [DRIVER_PORT_NUM]
driver_connections_list_t | fConnections

## Detailed Description

\Brief This class describes the Net Backend

Definition at line 33 of file JackNetOneDriver.h.

The documentation for this class was generated from the following files:

- JackNetOneDriver.h
- JackNetOneDriver.cpp